#if !defined(AFX_ADDCH_H__94B6A339_95EB_4848_A3EB_0340415A7A5C__INCLUDED_)
#define AFX_ADDCH_H__94B6A339_95EB_4848_A3EB_0340415A7A5C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AddCH.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CAddCH dialog

class CAddCH : public CDialog
{
// Construction
public:
	CAddCH(CWnd* pParent = NULL);   // standard constructor
	CAddCH(IApplication *pApp);
// Dialog Data
	//{{AFX_DATA(CAddCH)
	enum { IDD = IDD_CH_ADD };
	CListBox	m_NftList;
	CComboBox	m_AcctList;
	CComboBox	m_SubAcctList;
	CString	m_FirstName;
	CString	m_LastName;
	CString	m_Age;
	CString	m_Country;
	CString	m_DOB;
	CString	m_Phno;
	CString	m_Street;
	CString	m_state;
	CStringArray m_Nfnames; //WPACT-1002
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAddCH)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CAddCH)
	virtual BOOL OnInitDialog();
	afx_msg void OnAdd();
	afx_msg void OnSelchangeAcctlist();
	afx_msg void OnSelchangeSubAcctlist();
	afx_msg void OnPhoto();
	afx_msg void OnSig();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	IApplicationPtr pApplication;
	ICardHolderPtr	pCardHolder;
	void LoadAccounts();
	void LoadSubAccounts();
	void GetNFtemplateDetails();
	VARIANT varPhoto;
	VARIANT varSignature;
	
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ADDCH_H__94B6A339_95EB_4848_A3EB_0340415A7A5C__INCLUDED_)
